#!/usr/bin/perl
use strict;
use warnings;
use LWP::UserAgent;
use URI;

my $url = $ARGV[0];
die "Usage: $0 url\n" unless $url;

my $uri = URI->new($url);
my $ua = LWP::UserAgent->new( agent => 'varbot');
$ua->env_proxy;
my $LIMIT = 20;
my $success = 0;
my $page;
my @data;
# irgendwie klappt das Holen der Seite öfter mal nicht ... versuche dann $LIMIT mal
while ( $success < $LIMIT ) {
    $success++ ;
    $page = $ua->get($url, Host => $uri->host );
    die "Konnte $url nicht holen.\n" unless $page->is_success ;
    @data = $page->content =~ m#.*<!-- HEISETEXT -->\s*<!--googleon: index-->\s*<h1.*>(.*)</h1>\s*<!--googleoff: index-->.*<div class=.meldung_wrapper.>(.+)<!-- cadv --><!--googleoff: index-->.*<!--googleon: index--><!-- /b*cadv -->(.+)<!--googleoff: index-->.*<!-- /HEISETEXT -->.*#gs;
    if ( $data[0] && $data[1] && $data[2] ) {
	last; # Seite erfolgreich geholt
    }
}
if ( $success == $LIMIT || ! $data[0] || ! $data[1] ) {
#    print "LIMIT = $LIMIT\n'$data[0]'\n\n'$data[1]'\n";
    print STDERR "Fehler beim Holen der Seite: $url\n";
} else {
    print "<html>\n<head></head>\n<body>\n$data[0]\n\n$data[1]\n\n<hr />\n$data[2]\n</body>\n</html>\n" ;
}
